For the complete documentation index, see llms.txt. This page is also available as Markdown.

UnApprove Payment Instructions

The API removes approval (one or more) forthcoming payment instructions by specifying the payment instructions' IDs.

DELETE /payments/payments/approve?id=<payment_id>

Body Parameters - Request

Name
Location
Type
Description
Required

id

url parameter

string

the payment id to approve

Yes

Body Parameters - Response

Name
Type
Format / Values
Description

items

array

object

List of items affected

items[]

object

items[].type

string

type of entity (payment)

items[].id

string

id of payment

items[].correlation_id

string

correlation_id is an external identifier that you provide to track payments within your own platform or system. it must be unique identifier else the API request will fail

items[].result

string

Action result

Request Example

POST /payments/payments/approve?id=awrJqByRRdmEBXSWRr_elg

Response Examples

{
   "id": "awrJqByRRdmEBXSWRr_elg",
   "purpose": "SALA",
   "source": {
      "id": "1573c466-53ba-46e7-a7f2-b6d49c79716b",
      "type": "group"
   },
   "target": {
      "type": "contact",
      "id": "9"
   },
   "info": {
      "debit": {
         "currency": "USD",
         "amount": 3456.98431
      },
      "status": "PROCESSING",
      "credit": {
         "currency": "AUD",
         "amount": 5000
      },
      "rate": 1.44634732,
      "fees": 0
   },
   "amount": {
      "type": "LAND",
      "amount": 5000
   },
   "execution": {
      "date": "2024-03-10T09:09:51Z"
   },
   "final": {
      "is_final": true,
      "expected": "2024-03-06T05:00:00Z"
   },
   "attachments": [],
   "approved": true,
   "user_tags": {}
}

Last updated